000014644 - Error: './patch_install.sh: test: argument expected' during patching

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000014644
Applies ToAuthentication Manager 6.1
Solaris 10
Issue./patch_install.sh: test: argument expected
Error: "./patch_install.sh: test: argument expected"

Version.txt file is garbled. An example: 

+Na+ntitnintn"?}RSA Authentica}Ron Manager 6.1.2n 42 Tuethay 152n0:46:56

+Na+EDT 2007

 

Causethe version.txt file has a problem, which prevents the patch installer from knowing the current version  
Resolution

Check version.txt, and see if it looks normal for the installed version.

Collect the environment variables,  /etc/sdace/txt and the output of (acehome)/utils/admenv . Correct the environment variables to match the admenv output as needed.

Backup the (acehome)/data directory, and verify directory permissions are correct.  Get a copy of the version.txt that is correct for the installed version/patch/hotfix level, before the patch installation failure, and replace the garbled version.txt file with this one.

Run the patch installer again.

Legacy Article IDa52782

Attachments

    Outcomes